org.wildfly.swarm.config.undertow.servlet_container

## Class SessionCookieSetting<T extends SessionCookieSetting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.servlet_container.SessionCookieSetting<T>

-     public class SessionCookieSetting<T extends SessionCookieSetting<T>>
      extends Object

  Session cookie configuration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionCookieSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `comment()` Cookie comment
    `T` | `comment(String value)` Cookie comment
    `String` | `domain()` Cookie domain
    `T` | `domain(String value)` Cookie domain
    `String` | `getKey()`
    `Boolean` | `httpOnly()` Is cookie http-only
    `T` | `httpOnly(Boolean value)` Is cookie http-only
    `Integer` | `maxAge()` Max age of cookie
    `T` | `maxAge(Integer value)` Max age of cookie
    `String` | `name()` Name of the cookie
    `T` | `name(String value)` Name of the cookie
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `secure()` Is cookie secure?
    `T` | `secure(Boolean value)` Is cookie secure?

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionCookieSetting

          public SessionCookieSetting()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### comment

          public String comment()

      Cookie comment

    - #### comment

          public T comment(String value)

      Cookie comment

    - #### domain

          public String domain()

      Cookie domain

    - #### domain

          public T domain(String value)

      Cookie domain

    - #### httpOnly

          public Boolean httpOnly()

      Is cookie http-only

    - #### httpOnly

          public T httpOnly(Boolean value)

      Is cookie http-only

    - #### maxAge

          public Integer maxAge()

      Max age of cookie

    - #### maxAge

          public T maxAge(Integer value)

      Max age of cookie

    - #### name

          public String name()

      Name of the cookie

    - #### name

          public T name(String value)

      Name of the cookie

    - #### secure

          public Boolean secure()

      Is cookie secure?

    - #### secure

          public T secure(Boolean value)

      Is cookie secure?

Copyright © 2018 JBoss by Red Hat. All rights reserved.